Dist::Zilla::App::Command::listdeps(3pm)

NAME
Dist::Zilla::App::Command::listdeps - print your distribution's prerequisites

VERSION
version 6.037

SYNOPSIS
  $ dzil listdeps | cpan

DESCRIPTION
This is a command plugin for Dist::Zilla. It provides the "listdeps" command, which prints your distribution's prerequisites. You could pipe that list to a CPAN client like cpan to install all of the dependencies in one quick go.

PERL VERSION
This module should work on any version of perl still receiving updates from the Perl 5 Porters. This means it should work on any version of perl released in the last two to three years. (That is, if the most recently released version is v5.40, then this module should work on both v5.40 and v5.38.)

Although it may work on older versions of perl, no guarantee is made that the minimum required version will not be increased. The version may be increased for any reason, and there is no promise that patches will be accepted to lower the minimum required perl.

OPTIONS

  --author (or --develop)
Include author dependencies (those listed under "develop_requires").

  --missing
List only dependencies which are unsatisfied.

  --requires / --no-requires
Add required dependencies to the list (or don't).

Default: on.

  --recommends / --no-recommends
Add recommended dependencies to the list (or don't).

Default: on.

  --suggests / --no-suggests
Add suggested dependencies to the list (or don't).

Default: off.

  --versions
Also display the required versions of listed modules.

  --cpanm-versions
Also display the required versions of listed modules, but in a format suitable for piping into cpanm.

  --json
Lists all prerequisites in JSON format, as they would appear in META.json (broken out into phases and types)

ACKNOWLEDGEMENTS
This code was originally more or less a direct copy of Marcel Gruenauer (hanekomu) Dist::Zilla::App::Command::prereqs, updated to work with the Dist::Zilla v2 API.

AUTHOR
Ricardo SIGNES 😏 <cpan@semiotic.systems>

COPYRIGHT AND LICENSE
This software is copyright (c) 2026 by Ricardo SIGNES.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.